import Vue from 'vue'

const format = require('./Format').default
const request = require('./Request/Request.vue').default
const filters = require('./Filters').default
const popups = require('./Popups').default
const controls = require('./Controls').default

Vue.use(request)

Vue.prototype.$flexjs = {
    ...Vue.prototype.$flexjs,
    ...{
        filters: filters,
        request: request,
        popups: popups,
        format: format,
        controls: controls
    }
}

export default {
    filters: filters,
    request: request,
    popups: popups,
    format: format,
    controls: controls
}
