import removeAccents from '../removeAccents/removeAccents'

function filterBy (filter, target, cols = []) {
    let newArray = []
    filter = removeAccents(filter)
    if (target && Array.isArray(target) && target.length > 0){
        let cols = Object.keys(target[0])
        for (let i = 0; i < target.length; i++) {
            let check = 0
            for (let j = 0; j < cols.length; j++) {
                let val = target[i][cols[j]]
                if ((val && Array.isArray(val)) || (typeof val === 'object')) {
                    if (filterBy(filter, val).length > 0) {
                        check++
                        break
                    }
                } else if (!(typeof val === 'object') && val) {
                    if (!Array.isArray(val)) {
                        val = removeAccents(val)
                        if (val.toString().toLowerCase().indexOf(filter.toLowerCase()) !== -1) {
                            check++
                            break
                        }
                    } else {
                        if (filterBy(filter, val)) {
                            check++
                            break
                        }
                    }
                }
            }
            if (check > 0) {
                newArray.push(target[i])
            }
        }
    } else if (target && typeof target === 'object') {
        let cols = Object.keys(target)
        let check = 0
        for (let i = 0; i < cols.length; i++) {
            let val = target[cols[i]]
            if ((val && Array.isArray(val)) || (typeof val === 'object')) {
                if (filterBy(filter, val).length > 0) {
                    check++
                    break
                }
            } else if (!(typeof val === 'object') && val) {
                if (!Array.isArray(val)) {
                    val = removeAccents(val)
                    if (val.toString().toLowerCase().indexOf(filter.toLowerCase()) !== -1) {
                        check++
                        break
                    }
                } else {
                    if (filterBy(filter, val)) {
                        check++
                        break
                    }
                }
            }
        }
        if (check > 0) {
            newArray.push(target)
        }
    }
    return newArray
}

export default filterBy
