const path = require('path')
const merge = require('webpack-merge')
const MiniCssExtractPlugin = require("mini-css-extract-plugin");

module.exports = {
    configureWebpack: {
        plugins: [
            new MiniCssExtractPlugin(
                {
                    filename: 'css/[name].css',
                    allChunks: true,
                    enforce: true
                })
        ]
    }
}
